Image 01
profile-image

lollypop

Alexander Dmitrievskiy Dolgoprudnyy, Russian Federation
gmail-plasmoid

Plasma 4 Extensions by mjmccans 397 comments

Yes! Thank you. You are extremely correct. - May 20 2010
gmail-plasmoid

Plasma 4 Extensions by mjmccans 397 comments

after updating KDE to 4.4 gmail-plasmoid doesn't starts with a string "script initialization failed". When I run "$plasmoidviewer gmail-plasmoid" I have the following error:
"
...
plasmoidviewer(3085)/python (plugin) KPythonPluginFactory::create: Path to plugin code is: "/usr/share/kde4/apps/plasma_scriptengine_python/pyappletscript.py"
plasmoidviewer(3085)/python (plugin) KPythonPluginFactory::create: Returning result qobject
Traceback (most recent call last):
File "/usr/share/kde4/apps/plasma_scriptengine_python/pyappletscript.py", line 53, in init
relpath = os.path.relpath(str(self.mainScript()),str(self.applet().package().path()))
AttributeError: 'module' object has no attribute 'relpath'"

I know this is not a problem of gmail-plasmoid, but of script engine.
But I have updated scriptengines of plasma, and python-dev packages and many more. But It doesn't works.

KDE 4.4 on debian/sqeeze - May 19 2010
Plasmacon

Plasma 4 Extensions
by iduhasti

7 .4
May 17 2010